<script setup lang="ts">
  import { getCategoryBreadcrumbs } from '@shopware-pwa/helpers-next';
  import { Category } from '@shopware-pwa/types';

  const props = defineProps<{
    navigationId: string;
  }>();

  const { search } = useCategorySearch();
  const route = useRoute();

  const { data: categoryResponse } = await useAsyncData(
    'cmsNavigation' + props.navigationId,
    async () => {
      const category = await search(props.navigationId, {
        withCmsAssociations: true,
        query: {
          ...route.query,
        },
      });
      return category;
    },
  );

  const breadcrumbs = getCategoryBreadcrumbs(categoryResponse.value, {
    startIndex: 2,
  });
  useBreadcrumbs(breadcrumbs);

  const { category } = useCategory(categoryResponse as Ref<Category>);
  useCmsHead(category, { mainShopTitle: 'Shopware Frontends Demo Store' });
</script>

<template>
  <CmsPage v-if="category?.cmsPage" :content="category.cmsPage" />
</template>
